editDetails               package:grid               R Documentation

Customising grid Editing

Description:

     This generic hook function is called whenever a grid grob is
     edited via 'grid.edit' or 'editGrob'. This provides an opportunity
     for customising the editing of a new class derived from grob (or
     gTree).

Usage:

     editDetails(x, specs)

Arguments:

       x: A grid grob. 

   specs: A list of named elements.  The names indicate the grob slots
          to modify and the values are the new values for the slots. 

Details:

     This function is called by 'grid.edit' and 'editGrob'. A method
     should be written for classes derived from grob or gTree if a
     change in a slot has an effect on other slots in the grob or
     children of a gTree (e.g., see 'grid:::editDetails.xaxis').

     Note that the slot already has the new value.

Value:

     The function MUST return the modified grob.

Author(s):

     Paul Murrell

See Also:

     'grid.edit'

